Subject: [Sip] PROCESSING REGISTER REQUESTS - Section 10.3

From: [email-masked]
Date: Thu, 13 Jan 2005 16:05:17 +0530

Hello,
 
As per RFC 3261 the Registrars must ignore Record-Route field in any incoming REGISTER request and should not include the same in the response.
 
But I find couple of Registrar implementations including the Record Route Field in the 200OK Response.
 
Any advice or suggestion??
 
Thanks
karthikeyan
_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: "Brett Tate" <[email-masked]>
Date: Thu, 13 Jan 2005 08:01:53 -0500

> As per RFC 3261 the Registrars must 
> ignore Record-Route field in any 
> incoming REGISTER request and should 
> not include the same in the response.
>
> But I find couple of Registrar 
> implementations including the 
> Record Route Field in the 200OK Response.
>

The Registrar is compliant to RFC2543 concerning the Record-Route.  The
Registrar has not yet become compliant to that particular "MUST NOT" within
RFC3261.  There is likely no consequences.

Such questions should be posted to [email-masked] instead
of this list.